QGIS Application - Bug report #15547
QGis crashed with dissolve when using sqlite file
2016-09-08 07:53 AM - Alessandro Frigeri

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 23470
Description

Hi,

I've noticed that with the fTools, QGis crashes when performing the 'dissolve' action on a sqlite file, if the file is a Shapefile, the operation
is executed and finishes successfully.

To reproduce it:
- open test_dissolve.sqlite

- do a dissolve operation e.g. on the 'surname'’ field

Alessandro

History

#1 - 2016-09-08 07:56 AM - Alessandro Frigeri
- File test_dissolve.sqlite.gz added

File for reproducing the segfault

#2 - 2016-09-08 09:42 AM - Bernd Vogelgesang

Can't confirm crash on Linux Mint 17 with 2.16.1

#3 - 2017-01-02 05:50 AM - Giovanni Manghi
- Category changed from 44 to Processing/QGIS

#4 - 2017-02-07 01:38 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- OS version deleted (16.04.1 LTS)

- Operating System deleted (Ubuntu )

Works fine with master.

Files
test_dissolve.sqlite.gz 418 KB 2016-09-08 Alessandro Frigeri
